Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615947 - RFE QMP: support of query spice for guest
RFE QMP: support of query spice for guest
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: beta
: 6.2
Assigned To: Gerd Hoffmann
Virtualization Bugs
: FutureFeature
Depends On:
Blocks: 655920 580953
  Show dependency treegraph
 
Reported: 2010-07-19 06:47 EDT by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
7 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.133.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:33:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0534 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2011-05-19 07:20:36 EDT

  None (edit)
Description Shirley Zhou 2010-07-19 06:47:42 EDT
Description of problem:
There is no command to check spice info in qmp and monitor.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.96.el6.x86_64
kernel-2.6.32-44.1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 RHEL Product and Program Management 2010-07-19 07:17:07 EDT
This feature request has been proposed after Feature Freeze and we
are unable to resolve it in time for the current Red Hat Enterprise
Linux release. It has been denied for the current release and
proposed for the next Red Hat Enterprise Linux release.
Comment 3 Gerd Hoffmann 2010-11-01 08:32:09 EDT
What information do you expect to see there?
Comment 4 Shirley Zhou 2010-11-01 22:03:52 EDT
(In reply to comment #3)
> What information do you expect to see there?

Hi, Gerd
For spice, QE want to get similar info as vnc. For vnc, we can get info as following:

1.qemu monitor
(qemu)info vnc 
Server:
     address: 0.0.0.0:5910
        auth: none
Client:
     address: 10.66.91.127:60429
  x509_dname: none
    username: none
2. QMP
{"execute":"query-vnc"}
{"return": {"enabled": true, "auth": "none", "family": "ipv4", "clients": [{"family": "ipv4", "service": "51925", "host": "10.66.91.127"}], "service": "5910", "host": "0.0.0.0"}}
Comment 9 Gerd Hoffmann 2011-01-07 05:10:54 EST
spice rebase fixes this -- patches posted to rhvirt-patches
Comment 14 errata-xmlrpc 2011-05-19 07:33:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html
Comment 15 errata-xmlrpc 2011-05-19 08:46:23 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html

Note You need to log in before you can comment on or make changes to this bug.